Bug 71226 - Layout Test failures after r98852
Summary: Layout Test failures after r98852
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: LayoutTestFailure
Depends on: 71368 71673
Blocks: 47156
  Show dependency treegraph
 
Reported: 2011-10-31 10:47 PDT by Andrey Kosyakov
Modified: 2011-11-11 03:51 PST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Kosyakov 2011-10-31 10:47:14 PDT
These tests were among those that started failing after r98852. I did not rebaseline these, as failures look significant.

svg/as-background-image/animated-svg-as-background.html
svg/zoom/page/zoom-coords-viewattr-01-b.svg
fast/backgrounds/size/contain-and-cover-zoomed.html
Comment 1 Nikolas Zimmermann 2011-10-31 12:50:04 PDT
As discussed on IRC I'm on this.
Comment 2 Nikolas Zimmermann 2011-11-07 05:18:20 PST
I have investigated in these test failures with a local chromium builds.
svg/as-background-image/animated-svg-as-background.html is fixed by the patch in bug 71368.

svg/zoom/page/zoom-coords-viewattr-01-b.svg is a progression, zooming shouldn't have any effect as width/height is 100%, except for stroke size changes! Compare with Opera/FF these days, it's the right behaviour.

In the expectations I found:

// Failing on the bots but not locally; need investigation
BUGCR23560 MAC : svg/as-image/animated-svg-as-image.html = PASS IMAGE

This is fixed as well by the patch in bug 71368.

These are wrong:
BUGWK71226 MAC : svg/zoom/page/zoom-img-preserveAspectRatio-support-1.html = IMAGE+TEXT
BUGWK71226 WIN LINUX : svg/zoom/page/zoom-img-preserveAspectRatio-support-1.html = PASS IMAGE+TEXT

The zooming of the >object>s in that test is broken, not the <img>s, so its another bug, not related to 71226.

BUGWK71226 : fast/backgrounds/size/contain-and-cover-zoomed.html = IMAGE+TEXT

seems only have marginal differences with my patch applied, let's see how this evolves if 71368 lands.
I'll include the removal of the wrong expectations, that are now fixed.
Comment 3 Nikolas Zimmermann 2011-11-07 05:53:36 PST
I'll include this change with bug 71368.

Index: platform/chromium/test_expectations.txt
===================================================================
--- platform/chromium/test_expectations.txt	(revision 99398)
+++ platform/chromium/test_expectations.txt	(working copy)
@@ -1486,9 +1486,6 @@
 // Thicker shadow than expected
 BUGCR23471 LEOPARD : fast/text/stroking.html = IMAGE
 
-// Failing on the bots but not locally; need investigation
-BUGCR23560 MAC : svg/as-image/animated-svg-as-image.html = PASS IMAGE
-
 // -----------------------------------------------------------------
 // END MAC PORT TESTS
 // -----------------------------------------------------------------
@@ -3860,12 +3857,8 @@
 BUGWK71214 LEOPARD CPU-CG : css2.1/20110323/block-non-replaced-width-008.htm = FAIL
 BUGWK71215 SNOWLEOPARD DEBUG : animations/change-keyframes.html = TEXT
 
-BUGWK71226 : svg/as-background-image/animated-svg-as-background.html = IMAGE
-BUGWK71226 : svg/zoom/page/zoom-coords-viewattr-01-b.svg = IMAGE+TEXT
-BUGWK71226 MAC : svg/zoom/page/zoom-img-preserveAspectRatio-support-1.html = IMAGE+TEXT
-BUGWK71226 WIN LINUX : svg/zoom/page/zoom-img-preserveAspectRatio-support-1.html = PASS IMAGE+TEXT
-BUGWK71226 : fast/backgrounds/size/contain-and-cover-zoomed.html = IMAGE+TEXT
-BUGWK71226 : fast/backgrounds/animated-svg-as-mask.html = IMAGE+TEXT IMAGE
+BUGWK71673 MAC : svg/zoom/page/zoom-img-preserveAspectRatio-support-1.html = IMAGE+TEXT
+BUGWK71673 WIN LINUX : svg/zoom/page/zoom-img-preserveAspectRatio-support-1.html = PASS IMAGE+TEXT

I filed bug 71673 for the remaining issue with zooming SVGs in <object>.
Comment 4 Nikolas Zimmermann 2011-11-11 03:51:25 PST
Should all be fixed in r99937.